Restore an account
POST/v1/accounts/{id}/restore
Restores a trashed account, bringing it back to active. Find trashed accounts via GET /v1/accounts?status=trashed.
Calling restore on an account that is not trashed is a no-op and returns the existing record.
Required scope: accounts:restore
Rate limit category: Write
Restore an account
curl https://api.lightfield.app/v1/accounts/$ID/restore \
-X POST \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}